<template>
  <div>
    <h2 id="page-heading" data-cy="IPSHeading">
      <span v-text="$t('gatewayApp.pacientesIPs.home.title')" id="ips-heading">IPS</span>
      <div class="d-flex justify-content-end">
        <button class="btn btn-info mr-2" v-on:click="handleSyncList" :disabled="isFetching">
          <font-awesome-icon icon="sync" :spin="isFetching"></font-awesome-icon>
          <span v-text="$t('gatewayApp.pacientesIPs.home.refreshListLabel')">Refresh List</span>
        </button>
        <router-link :to="{ name: 'IPSCreate' }" custom v-slot="{ navigate }">
          <button @click="navigate" id="jh-create-entity" data-cy="entityCreateButton" class="btn btn-primary jh-create-entity create-ips">
            <font-awesome-icon icon="plus"></font-awesome-icon>
            <span v-text="$t('gatewayApp.pacientesIPs.home.createLabel')"> Create a new IPS </span>
          </button>
        </router-link>
      </div>
    </h2>
    <br />
    <div class="alert alert-warning" v-if="!isFetching && iPS && iPS.length === 0">
      <span v-text="$t('gatewayApp.pacientesIPs.home.notFound')">No iPS found</span>
    </div>
    <div class="table-responsive" v-if="iPS && iPS.length > 0">
      <table class="table table-striped" aria-describedby="iPS">
        <thead>
          <tr>
            <th scope="row" v-on:click="changeOrder('id')">
              <span v-text="$t('global.field.id')">ID</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'id'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('nombre')">
              <span v-text="$t('gatewayApp.pacientesIPs.nombre')">Nombre</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'nombre'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('nit')">
              <span v-text="$t('gatewayApp.pacientesIPs.nit')">Nit</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'nit'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('direccion')">
              <span v-text="$t('gatewayApp.pacientesIPs.direccion')">Direccion</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'direccion'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('telefono')">
              <span v-text="$t('gatewayApp.pacientesIPs.telefono')">Telefono</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'telefono'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('correoElectronico')">
              <span v-text="$t('gatewayApp.pacientesIPs.correoElectronico')">Correo Electronico</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'correoElectronico'"></jhi-sort-indicator>
            </th>
            <th scope="row"></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="iPS in iPS" :key="iPS.id" data-cy="entityTable">
            <td>
              <router-link :to="{ name: 'IPSView', params: { iPSId: iPS.id } }">{{ iPS.id }}</router-link>
            </td>
            <td>{{ iPS.nombre }}</td>
            <td>{{ iPS.nit }}</td>
            <td>{{ iPS.direccion }}</td>
            <td>{{ iPS.telefono }}</td>
            <td>{{ iPS.correoElectronico }}</td>
            <td class="text-right">
              <div class="btn-group">
                <router-link :to="{ name: 'IPSView', params: { iPSId: iPS.id } }" custom v-slot="{ navigate }">
                  <button @click="navigate" class="btn btn-info btn-sm details" data-cy="entityDetailsButton">
                    <font-awesome-icon icon="eye"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.view')">View</span>
                  </button>
                </router-link>
                <router-link :to="{ name: 'IPSEdit', params: { iPSId: iPS.id } }" custom v-slot="{ navigate }">
                  <button @click="navigate" class="btn btn-primary btn-sm edit" data-cy="entityEditButton">
                    <font-awesome-icon icon="pencil-alt"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.edit')">Edit</span>
                  </button>
                </router-link>
                <b-button
                  v-on:click="prepareRemove(iPS)"
                  variant="danger"
                  class="btn btn-sm"
                  data-cy="entityDeleteButton"
                  v-b-modal.removeEntity
                >
                  <font-awesome-icon icon="times"></font-awesome-icon>
                  <span class="d-none d-md-inline" v-text="$t('entity.action.delete')">Delete</span>
                </b-button>
              </div>
            </td>
          </tr>
        </tbody>
        <infinite-loading
          ref="infiniteLoading"
          v-if="totalItems > itemsPerPage"
          :identifier="infiniteId"
          slot="append"
          @infinite="loadMore"
          force-use-infinite-wrapper=".el-table__body-wrapper"
          :distance="20"
        >
        </infinite-loading>
      </table>
    </div>
    <b-modal ref="removeEntity" id="removeEntity">
      <span slot="modal-title"
        ><span id="gatewayApp.pacientesIPs.delete.question" data-cy="iPSDeleteDialogHeading" v-text="$t('entity.delete.title')"
          >Confirm delete operation</span
        ></span
      >
      <div class="modal-body">
        <p id="jhi-delete-iPS-heading" v-text="$t('gatewayApp.pacientesIPs.delete.question', { id: removeId })">
          Are you sure you want to delete this IPS?
        </p>
      </div>
      <div slot="modal-footer">
        <button type="button" class="btn btn-secondary" v-text="$t('entity.action.cancel')" v-on:click="closeDialog()">Cancel</button>
        <button
          type="button"
          class="btn btn-primary"
          id="jhi-confirm-delete-iPS"
          data-cy="entityConfirmDeleteButton"
          v-text="$t('entity.action.delete')"
          v-on:click="removeIPS()"
        >
          Delete
        </button>
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts" src="./ips.component.ts"></script>
